com.pixelmed.scpecg

## Class Section3

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section3

-     public class Section3
      extends Section

  A class to encapsulate the SCP-ECG Lead Definition section.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.scpecg.Section

      `bytesRead, header, sectionBytesRemaining, tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Section3(SectionHeader header)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long[]` | `getEndingSampleNumbers()`
    `int` | `getFlagByte()`
    `static java.lang.String` | `getLeadName(int leadNumber)`
    `java.lang.String[]` | `getLeadNames()`
    `static int` | `getLeadNumber(java.lang.String leadName)`
    `int[]` | `getLeadNumbers()`
    `boolean` | `getLeadsAllSimultaneouslyRecorded()`
    `int` | `getNumberOfLeads()`
    `int` | `getNumberOfSimultaneouslyRecordedLeads()`
    `long[]` | `getNumbersOfSamples()`
    `boolean` | `getReferenceBeatUsedForCompression()`
    `boolean` | `getReservedBit1()`
    `java.lang.String` | `getSectionName()` Get a string name for this section.
    `long[]` | `getStartingSampleNumbers()`
    `SCPTreeRecord` | `getTree(SCPTreeRecord parent)` Get the contents of the section as a tree for display, constructing it if not already done.
    `long` | `read(BinaryInputStream i)` Read the remainder of the section from a stream.
    `java.lang.String` | `toString()` Dump the section as a `String`.
    `java.lang.String` | `validate()` Validate the section against the standard.

    - ### Methods inherited from class com.pixelmed.scpecg.Section

      `addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Section3

          public Section3(SectionHeader header)

  - ### Method Detail

    - #### getSectionName

          public java.lang.String getSectionName()

      Get a string name for this section.

      Overrides:
        `getSectionName` in class `Section`
      Returns:
        a string name for this section

    - #### getLeadName

          public static java.lang.String getLeadName(int leadNumber)

    - #### getLeadNumber

          public static int getLeadNumber(java.lang.String leadName)

    - #### getNumberOfLeads

          public int getNumberOfLeads()

    - #### getFlagByte

          public int getFlagByte()

    - #### getReferenceBeatUsedForCompression

          public boolean getReferenceBeatUsedForCompression()

    - #### getReservedBit1

          public boolean getReservedBit1()

    - #### getLeadsAllSimultaneouslyRecorded

          public boolean getLeadsAllSimultaneouslyRecorded()

    - #### getNumberOfSimultaneouslyRecordedLeads

          public int getNumberOfSimultaneouslyRecordedLeads()

    - #### getStartingSampleNumbers

          public long[] getStartingSampleNumbers()

    - #### getEndingSampleNumbers

          public long[] getEndingSampleNumbers()

    - #### getNumbersOfSamples

          public long[] getNumbersOfSamples()

    - #### getLeadNumbers

          public int[] getLeadNumbers()

    - #### getLeadNames

          public java.lang.String[] getLeadNames()

    - #### read

          public long read(BinaryInputStream i)
                    throws java.io.IOException

      Description copied from class: `Section`

      Read the remainder of the section from a stream.

      Overrides:
        `read` in class `Section`
      Parameters:
        `i` - the input stream
      Returns:
        the number of bytes read
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Section`

      Dump the section as a `String`.

      Overrides:
        `toString` in class `Section`
      Returns:
        the section as a `String`

    - #### validate

          public java.lang.String validate()

      Description copied from class: `Section`

      Validate the section against the standard.

      Overrides:
        `validate` in class `Section`
      Returns:
        the validation results as a `String`

    - #### getTree

          public SCPTreeRecord getTree(SCPTreeRecord parent)

      Get the contents of the section as a tree for display, constructing it if not already done.

      Overrides:
        `getTree` in class `Section`
      Parameters:
        `parent` - the node to which this section is to be added if it needs to be created de novo
      Returns:
        the section as a tree